POST
/v1/admin/call-trackers
Create Call Tracker
curl -X POST https://api.{cluster}.{platform}.voiger.io/v1/admin/call-trackers \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code" \
-H "x-csrf-token: $CSRF_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"call_tracker": {
"name": "Sales Call Tracker",
"url": "https://example.com/webhook",
"fallback_url": "https://fallback.example.com/webhook",
"timeout": 5000,
"retries": 3,
"headers": {
"Authorization": "Bearer token123"
},
"enable_extensions": false
}
}'
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/admin/call-trackers", {
method: "POST",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
headers: { "Content-Type": "application/json", "x-csrf-token": csrf },
body: JSON.stringify({
"call_tracker": {
"name": "Sales Call Tracker",
"url": "https://example.com/webhook",
"fallback_url": "https://fallback.example.com/webhook",
"timeout": 5000,
"retries": 3,
"headers": {
"Authorization": "Bearer token123"
},
"enable_extensions": false
}
}),
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
x-csrf-token
string
required
in header
fallback_url
null | string
enable_extensions
boolean
extension_audio_id
null | string
caller_welcome_audio_id
null | string
callee_welcome_audio_id
null | string
customer_waiting_audio_id
null | string
error_audio_id
null | string
json · 201
{
"call_tracker": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Sales Call Tracker",
"url": "https://example.com/webhook",
"fallback_url": "https://fallback.example.com/webhook",
"timeout": 5000,
"retries": 3,
"headers": {
"Authorization": "Bearer token123",
"Content-Type": "application/json"
},
"enable_extensions": false,
"extension_audio_id": null,
"caller_welcome_audio_id": null,
"callee_welcome_audio_id": null,
"customer_waiting_audio_id": null,
"error_audio_id": null,
"created_at": "2026-03-13T10:00:00.000000Z",
"updated_at": "2026-03-13T10:00:00.000000Z"
}
}